import { FileManagerContext } from "./types";
import { FileManagerConfig } from "./createFileManager";
export declare class FileManagerContextSetup {
    private readonly context;
    constructor(context: FileManagerContext);
    setupContext(storageOperations: FileManagerConfig["storageOperations"]): Promise<import("./types").FileManagerContextObject>;
    private getLocaleCode;
    private getIdentity;
    private getTenantId;
    private getPermissions;
    private setupCmsStorageOperations;
    private getModel;
}
